@import url('https://fonts.googleapis.com/css?family=Open+Sans');
@import url('https://fonts.googleapis.com/css2?family=Roboto:wght@400;500&display=swap');

/* list-style: none; */
  
*{
  text-decoration: none;
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  font-family: 'Roboto', 'Open Sans', sans-serif;
}

body{
  /* background: #e5e8ec; */
  background: #c6cfd9;
  /* color: #4f6278; good, making darker*/
  color: #415163;
}

body a{
  font-weight: bold; 
  color: #808080;
}
.wrapper .section{
  width: calc(100% - 250px);
  margin-left: 250px;
  transition: all 0.8s ease;
}

.wrapper .section .top_navbar{
  padding: 10px; 
  text-align: center; 
  font-size: 280%; 
  font-weight: normal; 
  letter-spacing: 6px;
  background-color: #17191c;
  color: #415163;
  height: 80px;
  display: flex;
  align-items: center;
  padding: 0 30px;
  transition: all 0.8s ease;
}

.wrapper .section .top_navbar .hamburger a{
  font-size: 28px;
  color: #415163;
}

.wrapper .section .top_navbar .hamburger a:hover{
  color: #c6cfd9;
}

.wrapper .sidebar{
  background: #415163;
  position: fixed;
  top: 0;
  left: 0;
  width: 250px;
  height: 100%;
  padding-top: 20px;
  transition: all 0.8s ease;
}

.wrapper .sidebar .profile{
  margin-bottom: 30px;
  text-align: center;
  font-size: 120%;
}

.wrapper .sidebar .profile img{
  display: block;
  width: 100px;
  height: 100px;
  border-radius: 80%;
  margin: 0 auto;
}

.wrapper .sidebar .profile h3{
  color: #C0C0C0;
  margin: 10px 0 5px;
}

.wrapper .sidebar .profile p{
  color: #C0C0C0;
  font-size: 100%;
}
.wrapper .sidebar ul li {
  vertical-align: middle;
}
.wrapper .sidebar ul li a{
  color: #C0C0C0;
  font-size: 16px;
  display: block;
  padding: 13px 30px;
  border-bottom: 1px solid #C0C0C0; 
  position: relative;
}
.wrapper .sidebar ul li a{
  color: #C0C0C0;
  font-size: 16px;
  display: block;
  padding: 13px 30px;
  border-bottom: 1px solid #C0C0C0; 
  position: relative;
}
/* .wrapper .sidebar ul li a .span{
  color: #C0C0C0;
  vertical-align: middle;
  width: 30px;
  display: inline-block;
} */

.wrapper .sidebar ul li a:hover,
.wrapper .sidebar ul li a.active{
  color: #415163;
  background:#c6cfd9;
  border-right: 2px solid #c6cfd9;
}
/* 
.wrapper .sidebar ul li a:hover .icon,
.wrapper .sidebar ul li a.active .icon{
  color: #415163;
} */

.wrapper .sidebar ul li a:hover:before,
.wrapper .sidebar ul li a.active:before{
  display: block;
}
.contentiframe {
  color: '#C0C0C0';
  position: absolute;
  margin-left: 250px;
  padding: 20px;
  top: 80px;
  width: calc(100% - 250px);
  height: calc(100% - 80px);
  border: none;  
  display: flex;
  transition: all 0.8s ease;
}

body.active .wrapper .top_navbar{
  padding-left: 280px;
}

body.active .wrapper .sidebar{
  left: -250px;
}

body.active .wrapper .section{
  margin-left: 0;
  width: 100%;
}

body.active .contentiframe{
  margin-left: 0;
  width: 100%;
}

#atext {
  opacity: 0;
  font-size: 100%;
  /* background-color: #c6cfd9; */
  /* background-color: rgb(194, 203, 213);
  color: #415163; */
  background-color: #415163;
  color: #c6cfd9;
  transition: 1s;
  position:absolute;
  padding: 10px;
  margin: 2px;
  top: -8px;  
  right: -20px;
  border-radius: 80%;
}

#atext:hover,
#atext.fade-in {
  opacity: .4;
  transition: 1s;
}

#atext.hide {
  display: none;
}


.footer{
  /* background-color: #C0C0C0; */
  color: #C0C0C0;
  font-size: 80%;
  text-align: center;
  position: absolute; 
  bottom: 10px; 
  width: 100%; 
  max-height: 120px; 
 }

.material-symbols-outlined{
  font-size:160%; 
  font-weight:bold; 
  padding: 10px 20px; 
}

/* contactform.php*/
div.elem-group {
  margin: 10px 0;
}

label {
  display: block;
  padding-bottom: 4px;
  font-size: 1.00em;
}

input, select, textarea {
  border-radius: 2px;
  border: 1px solid #ccc;
  box-sizing: border-box;
  font-size: 1.00em;
  width: 500px;
  padding: 8px;
}

textarea {
  height: 150px;
}

button {
    height: 40px;
    width: 60px;
    color: #c6cfd9;
    background: #415163;
    border: 2px solid #C0C0C0;
    border-radius: 4px;
    cursor: pointer;
}
button:hover {
  border: 2px solid #C0C0C0;
}
.contactform{
  float: left; 
  padding-right:20px;
}
.contactform.invisible{
  opacity: .2;
}
.formresponse{
  opacity: 0;
  transition: 1s;
  background-color: #415163;
  color: #c6cfd9;
  padding: 40px;
  border-radius: 25px;
  font-weight: bold;
  font-size: 100%;
  position: absolute;
  top: 20px;
  left: 40px;
  height: 200px;
  width: 400px;
}
.formresponse.visible{
  opacity: 1;
  display: inline-block;
}


div.textarea {
    /* -moz-appearance: textfield-multiline;
    -webkit-appearance: textarea; */
    background-color: white;
    border: 1px solid gray;
    /* font: medium -moz-fixed;
    font: -webkit-small-control; */
    overflow: auto;
    padding: 2px;
    resize: both;
    width: 500px;
    height: 250px;
}

div.input {
    /* -moz-appearance: textfield;
    -webkit-appearance: textfield; */
    background-color: white;
    /* background-color: -moz-field; */
    border: 1px solid darkgray;
    box-shadow: 1px 1px 1px 0 lightgray inset;  
    /* font: -moz-field;
    font: -webkit-small-control; */
    margin-top: 5px;
    padding: 2px 3px;
    width: 500px;
    height: 36px;    
}

/* interests.php */
.tooltip {
  position: relative;
  display: inline-block;
  border-bottom: 1px dotted black; /* if want dots under the hoverable text */
}

/* tooltip text */
.tooltip .tooltiptext {
  visibility: hidden;
  width: 120px;
  background-color: black;
  color: #fff;
  text-align: center;
  padding: 5px 0;
  border-radius: 6px;
 
  /* position the tooltip text - see examples below! */
  position: absolute;
  z-index: 1;
}

/* show the tooltip text when you mouse over the tooltip container */
.tooltip:hover .tooltiptext {
  visibility: visible;
}

/* profile.html */

.prof_l1 > li {
  font-weight: bold;
  padding-bottom: 10px;
  list-style-type: none;
}

.prof_l1 > li > ul > li{
  font-weight: normal;
  margin-left: 10px;
  padding: 2px 0px 0px 10px;
  list-style-type: '\2023';
  list-style-position: outside;
}

/* interests.php img handling */
/*
  - pop the image when hover
*/
body a img{
  transition:  all 0.8s ease;
  position: relative;
  scale: 1;
}
body a img:hover{
  border: 1px solid white;
  z-index: 100;
  scale: 1.2;
  background-color: #c6cfd9;
  transition:  all 0.8s ease;
  }
/* 
  - restrict width so wide screens display no more than 6 images across
*/
  #imgdiv{
    max-width: 1300px;
    padding: 0;
    margin: 0;
  }